summaryrefslogtreecommitdiff
path: root/test/solver.sh
diff options
context:
space:
mode:
authorMax Rees <maxcrees@me.com>2020-12-29 21:21:58 -0500
committerMax Rees <maxcrees@me.com>2020-12-29 21:21:58 -0500
commit60b4fc451fc4e15ba75c550304a66147c4e21750 (patch)
treefd10b5d1077ca9ebf08837d604a85854d790a67e /test/solver.sh
parent3890035c21e40aca7d5360bfc40e4b7ab9f10c50 (diff)
downloadapk-tools-for-alpine/posix-shell.tar.gz
apk-tools-for-alpine/posix-shell.tar.bz2
apk-tools-for-alpine/posix-shell.tar.xz
apk-tools-for-alpine/posix-shell.zip
test: remove a couple of bashismsfor-alpine/posix-shell
Co-authored-by: Samuel Holland <samuel@sholland.org>
Diffstat (limited to 'test/solver.sh')
-rwxr-xr-xtest/solver.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/solver.sh b/test/solver.sh
index bc230c6..e82e130 100755
--- a/test/solver.sh
+++ b/test/solver.sh
@@ -10,9 +10,9 @@ TEST_TO_RUN="$@"
fail=0
pass=0
for test in ${TEST_TO_RUN:-*.test}; do
- get_block ARGS < $test | xargs $APK_TEST &> .$test.got
+ get_block ARGS < $test | xargs $APK_TEST > .$test.got 2>&1
- if ! get_block EXPECT < $test | cmp .$test.got &> /dev/null; then
+ if ! get_block EXPECT < $test | cmp .$test.got > /dev/null 2>&1; then
fail=$((fail+1))
echo "FAIL: $test"
get_block EXPECT < $test | diff -ru - .$test.got